Package opennlp.tools.stemmer.snowball

## Enum SnowballStemmer.ALGORITHM

- java.lang.Object
- - java.lang.Enum<SnowballStemmer.ALGORITHM>
  - - opennlp.tools.stemmer.snowball.SnowballStemmer.ALGORITHM

- All Implemented Interfaces:
    `Serializable`, `Comparable<SnowballStemmer.ALGORITHM>`
  Enclosing class:
    SnowballStemmer

      public static enum SnowballStemmer.ALGORITHM
      extends Enum<SnowballStemmer.ALGORITHM>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `ARABIC` |
    `CATALAN` |
    `DANISH` |
    `DUTCH` |
    `ENGLISH` |
    `FINNISH` |
    `FRENCH` |
    `GERMAN` |
    `GREEK` |
    `HUNGARIAN` |
    `INDONESIAN` |
    `IRISH` |
    `ITALIAN` |
    `NORWEGIAN` |
    `PORTER` |
    `PORTUGUESE` |
    `ROMANIAN` |
    `RUSSIAN` |
    `SPANISH` |
    `SWEDISH` |
    `TURKISH` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static SnowballStemmer.ALGORITHM` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static SnowballStemmer.ALGORITHM[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ARABIC

          public static final SnowballStemmer.ALGORITHM ARABIC

    - #### DANISH

          public static final SnowballStemmer.ALGORITHM DANISH

    - #### DUTCH

          public static final SnowballStemmer.ALGORITHM DUTCH

    - #### CATALAN

          public static final SnowballStemmer.ALGORITHM CATALAN

    - #### ENGLISH

          public static final SnowballStemmer.ALGORITHM ENGLISH

    - #### FINNISH

          public static final SnowballStemmer.ALGORITHM FINNISH

    - #### FRENCH

          public static final SnowballStemmer.ALGORITHM FRENCH

    - #### GERMAN

          public static final SnowballStemmer.ALGORITHM GERMAN

    - #### GREEK

          public static final SnowballStemmer.ALGORITHM GREEK

    - #### HUNGARIAN

          public static final SnowballStemmer.ALGORITHM HUNGARIAN

    - #### INDONESIAN

          public static final SnowballStemmer.ALGORITHM INDONESIAN

    - #### IRISH

          public static final SnowballStemmer.ALGORITHM IRISH

    - #### ITALIAN

          public static final SnowballStemmer.ALGORITHM ITALIAN

    - #### NORWEGIAN

          public static final SnowballStemmer.ALGORITHM NORWEGIAN

    - #### PORTER

          public static final SnowballStemmer.ALGORITHM PORTER

    - #### PORTUGUESE

          public static final SnowballStemmer.ALGORITHM PORTUGUESE

    - #### ROMANIAN

          public static final SnowballStemmer.ALGORITHM ROMANIAN

    - #### RUSSIAN

          public static final SnowballStemmer.ALGORITHM RUSSIAN

    - #### SPANISH

          public static final SnowballStemmer.ALGORITHM SPANISH

    - #### SWEDISH

          public static final SnowballStemmer.ALGORITHM SWEDISH

    - #### TURKISH

          public static final SnowballStemmer.ALGORITHM TURKISH

  - ### Method Detail

    - #### values

          public static SnowballStemmer.ALGORITHM[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SnowballStemmer.ALGORITHM c : SnowballStemmer.ALGORITHM.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SnowballStemmer.ALGORITHM valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null